> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get inference application template

> Retrieves detailed information about a specific machine learning application template from the catalog.
The response includes the application’s metadata, documentation, tags,
and a complete set of components with configuration options, compatible flavors,
and deployment capabilities — all necessary for building and customizing an AI application.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v3/inference/applications/catalog/{application_name}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v3/inference/applications/catalog/{application_name}:
    get:
      tags:
        - Everywhere Inference Apps
      summary: Get inference application template
      description: >-
        Retrieves detailed information about a specific machine learning
        application template from the catalog.

        The response includes the application’s metadata, documentation, tags,

        and a complete set of components with configuration options, compatible
        flavors,

        and deployment capabilities — all necessary for building and customizing
        an AI application.
      operationId: InferenceApplicationTemplate.get
      parameters:
        - in: path
          name: application_name
          required: true
          description: Name of application in catalog
          schema:
            description: Name of application in catalog
            pattern: ^[a-z0-9-.]{1,63}$
            title: Application Name
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AIAppCatalog'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            inference_application_template =
            client.cloud.inference.applications.templates.get(
                "26f1kl-.n.71",
            )

            print(inference_application_template.components)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tinferenceApplicationTemplate, err := client.Cloud.Inference.Applications.Templates.Get(context.TODO(), \"26f1kl-.n.71\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", inferenceApplicationTemplate.Components)\n}\n"
components:
  schemas:
    AIAppCatalog:
      properties:
        components:
          additionalProperties:
            $ref: '#/components/schemas/AIAppCatalogComponent'
          description: Configurable components of the application
          example:
            model:
              description: >-
                Llama 3.2 1B is a multilingual large language model developed by
                Meta.
              display_name: Llama 3.2 1B
              exposable: true
              license_url: https://example.com/license
              parameters:
                prefix_cache:
                  default_value: '1'
                  description: >-
                    Controls automatic prefix caching; set to 1 to speed up
                    inference for repetitive prompts, or 0 to disable for
                    diverse inputs.
                  display_name: prefix_cache
                  examples:
                    - '0'
                    - '1'
              readme: Detailed documentation
              required: true
              suitable_flavors:
                - name: inference-16vcpu-232gib-1xh100-80gb
          examples:
            - model:
                description: >-
                  Llama 3.2 1B is a multilingual large language model developed
                  by Meta.
                display_name: Llama 3.2 1B
                exposable: true
                license_url: https://example.com/license
                parameters:
                  prefix_cache:
                    default_value: '1'
                    description: >-
                      Controls automatic prefix caching; set to 1 to speed up
                      inference for repetitive prompts, or 0 to disable for
                      diverse inputs.
                    display_name: prefix_cache
                    examples:
                      - '0'
                      - '1'
                readme: Detailed documentation
                required: true
                suitable_flavors:
                  - name: inference-16vcpu-232gib-1xh100-80gb
          title: Components
          type: object
        cover_url:
          description: URL to the application's cover image
          example: https://cdn.example.com
          examples:
            - https://cdn.example.com
          title: Cover Url
          type: string
        description:
          description: Brief overview of the application
          example: This is a demo application
          examples:
            - This is a demo application
          title: Description
          type: string
        display_name:
          description: Human-readable name of the application
          example: Llama-3.2-1B-Instruct
          examples:
            - Llama-3.2-1B-Instruct
          title: Display Name
          type: string
        name:
          description: Unique application identifier in the catalog
          example: demo-app
          examples:
            - demo-app
          title: Name
          type: string
        readme:
          description: Detailed documentation or instructions
          example: Detailed documentation
          examples:
            - Detailed documentation
          title: Readme
          type: string
        tags:
          additionalProperties:
            type: string
          description: Categorization key-value pairs
          example:
            category: Model
            model_docs_endpoint: /docs
            model_inference_engine: vllm
            model_owner: Meta
            model_type: Text Generation
          examples:
            - category: Model
              model_docs_endpoint: /docs
              model_inference_engine: vllm
              model_owner: Meta
              model_type: Text Generation
          title: Tags
          type: object
      required:
        - name
        - display_name
        - cover_url
        - description
        - readme
        - tags
        - components
      title: AIAppCatalog
      type: object
    AIAppCatalogComponent:
      properties:
        description:
          description: Summary of the component's functionality
          example: >-
            Llama 3.2 1B is a multilingual large language model developed by
            Meta.
          examples:
            - >-
              Llama 3.2 1B is a multilingual large language model developed by
              Meta.
          title: Description
          type: string
        display_name:
          description: Human-readable name of the component
          example: meta-llama/Llama-3.2-3B-Instruct
          examples:
            - meta-llama/Llama-3.2-3B-Instruct
          title: Display Name
          type: string
        exposable:
          description: >-
            Indicates whether this component can expose a public-facing endpoint
            (e.g., for inference or API access).
          example: true
          examples:
            - true
          title: Exposable
          type: boolean
        license_url:
          description: URL to the component's license information
          example: https://example.com/license
          examples:
            - https://example.com/license
          title: License Url
          type: string
        parameters:
          additionalProperties:
            $ref: '#/components/schemas/AIAppCatalogParameter'
          description: Configurable parameters for the component
          example:
            prefix_cache:
              default_value: '1'
              description: >-
                Controls automatic prefix caching; set to 1 to speed up
                inference for repetitive prompts, or 0 to disable for diverse
                inputs.
              display_name: prefix_cache
              examples:
                - '0'
                - '1'
          examples:
            - prefix_cache:
                default_value: '1'
                description: >-
                  Controls automatic prefix caching; set to 1 to speed up
                  inference for repetitive prompts, or 0 to disable for diverse
                  inputs.
                display_name: prefix_cache
                examples:
                  - '0'
                  - '1'
          title: Parameters
          type: object
        readme:
          description: Detailed documentation or usage instructions
          example: Detailed documentation
          examples:
            - Detailed documentation
          title: Readme
          type: string
        required:
          description: Specifies if the component is required for the application
          example: true
          examples:
            - true
          title: Required
          type: boolean
        suitable_flavors:
          description: List of compatible flavors or configurations
          items:
            $ref: '#/components/schemas/AIAppShortFlavor'
          title: Suitable Flavors
          type: array
      required:
        - display_name
        - license_url
        - description
        - readme
        - suitable_flavors
        - parameters
        - required
        - exposable
      title: AIAppCatalogComponent
      type: object
    AIAppCatalogParameter:
      properties:
        default_value:
          description: Default value assigned if not provided
          title: Default Value
          type: string
        description:
          description: Description of the parameter's purpose
          title: Description
          type: string
        display_name:
          description: User-friendly name of the parameter
          title: Display Name
          type: string
        enum_values:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Allowed values when type is "enum"
          examples:
            - 'true'
            - 'false'
          title: Enum Values
        max_value:
          anyOf:
            - type: string
            - type: 'null'
          description: Maximum value (applies to integer and float types)
          examples:
            - '100'
            - '111.1'
          title: Max Value
        min_value:
          anyOf:
            - type: string
            - type: 'null'
          description: Minimum value (applies to integer and float types)
          examples:
            - '0'
            - '1.1'
          title: Min Value
        pattern:
          anyOf:
            - type: string
            - type: 'null'
          description: Regexp pattern when type is "string"
          examples:
            - ^[a-zA-Z]+$
          title: Pattern
        required:
          description: Indicates is parameter mandatory
          title: Required
          type: boolean
        type:
          description: Determines the type of the parameter
          enum:
            - enum
            - float
            - integer
            - string
          example: string
          examples:
            - string
          title: Type
          type: string
      required:
        - display_name
        - description
        - default_value
        - required
        - type
        - min_value
        - max_value
        - enum_values
        - pattern
      title: AIAppCatalogParameter
      type: object
    AIAppShortFlavor:
      properties:
        name:
          description: Name of the flavor
          example: inference-16vcpu-232gib-1xh100-80gb
          examples:
            - inference-16vcpu-232gib-1xh100-80gb
          title: Name
          type: string
      required:
        - name
      title: AIAppShortFlavor
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````